> ## Documentation Index
> Fetch the complete documentation index at: https://io-migration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Check available replicas per location

> Returns the number of deployable replicas in each location based on selected hardware type and GPU count per container, useful for matching supply to workload needs.



## OpenAPI

````yaml openapi/check-available-replicas-per-location.json get /enterprise/v1/io-cloud/caas/available-replicas?hardware_id={hardawer_id}&hardware_qty={hardware_qty}
openapi: 3.1.0
info:
  title: IO API
  version: '1.0'
servers:
  - url: https://api.io.solutions/
security:
  - sec0: []
paths:
  /enterprise/v1/io-cloud/caas/available-replicas?hardware_id={hardawer_id}&hardware_qty={hardware_qty}:
    get:
      summary: Check available replicas per location
      description: >-
        Returns the number of deployable replicas in each location based on
        selected hardware type and GPU count per container, useful for matching
        supply to workload needs.
      operationId: check-available-replicas-per-location
      parameters:
        - name: hardware_id
          in: query
          required: true
          schema:
            type: integer
            format: int32
        - name: hardware_qty
          in: query
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: 0
                        iso2: string
                        name: string
                        available_replicas: 0
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 0
                          default: 0
                        iso2:
                          type: string
                          example: string
                        name:
                          type: string
                          example: string
                        available_replicas:
                          type: integer
                          example: 0
                          default: 0
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: string
              schema:
                type: string
                example: string
        '422':
          description: '422'
          content:
            text/plain:
              examples:
                Result:
                  value:
                    detail:
                      - loc:
                          - string
                          - 0
                        msg: string
                        type: string
              schema:
                type: object
                properties:
                  detail:
                    type: array
                    items:
                      type: object
                      properties:
                        loc:
                          type: array
                        msg:
                          type: string
                          example: string
                        type:
                          type: string
                          example: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: oauth2
      flows: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.